FullWrtText Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
FullWrtText Class Reference

the main class to read the text part of writenow file More...

`#include <FullWrtText.hxx>`

## Public Member Functions
| FullWrtText (FullWrtParser &parser)
| constructor More...
virtual | ~FullWrtText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | sendMainText ()
| send a main zone More...
int | getHeaderFooterId (bool header, int page, int &numSimillar) const
| return the header/footer blockid ( or -1) More...
bool | send (int zId, MWAWColor fontColor=MWAWColor::black())
| send a id zone More...
bool | readTextData (FullWrtStruct::EntryPtr zone)
| check if a zone is a text zone, if so read it... More...
bool | send (std::shared_ptr< FullWrtTextInternal::Zone > zone, MWAWColor fontColor=MWAWColor::black())
| send the text More...
void | send (std::shared_ptr< FullWrtTextInternal::Zone > zone, int numChar, FullWrtTextInternal::Font &font, FullWrtTextInternal::Paragraph &ruler, std::string &str)
| send a simple line More...
bool | sendTable (std::shared_ptr< FullWrtTextInternal::Zone > zone, FullWrtTextInternal::LineHeader const &lHeader, FullWrtTextInternal::Font &font, FullWrtTextInternal::Paragraph &ruler, std::string &str)
| try send a table row More...
bool | sendHiddenItem (int id, FullWrtTextInternal::Font &font, FullWrtTextInternal::Paragraph &ruler)
| send a hidden item More...
void | prepareData ()
| prepare the different data (called sortZones and createItemStructures) More...
void | sortZones ()
| sort the different zones, finding the main zone, ... More...
void | createItemStructures ()
| create the item structures More...
bool | readLineHeader (std::shared_ptr< FullWrtTextInternal::Zone > zone, FullWrtTextInternal::LineHeader &lHeader)
| try to read the header of a line More...
bool | readItem (FullWrtStruct::EntryPtr zone, int id=-1, bool hidden=false)
| check if the input of the zone points to a item zone in DataStruct Zone More...
bool | readParagraphTabs (FullWrtStruct::EntryPtr zone, int id=-1)
| check if the input of the zone points to a paragraph zone in DataStruct Zone More...
bool | readParaModDocInfo (FullWrtStruct::EntryPtr zone)
| try to read the paragraph modifier (at the end of doc info) More...
bool | readStyle (FullWrtStruct::EntryPtr zone)
| try to read a style More...
bool | readDataMod (FullWrtStruct::EntryPtr zone, int id)
| try to read the font/paragraph modifier zone (Zone1f) More...
bool | readColumns (FullWrtStruct::EntryPtr zone)
| check if the input of the zone points to the columns definition, ... More...

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state More...
std::shared_ptr< FullWrtTextInternal::State > | m_state
| the state More...
FullWrtParser * | m_mainParser
| the main parser; More...

## Private Member Functions
| FullWrtText (FullWrtText const &orig)=delete
FullWrtText & | operator= (FullWrtText const &orig)=delete

## Friends
class | FullWrtParser

## Detailed Description

the main class to read the text part of writenow file

## Constructor & Destructor Documentation

## ◆ FullWrtText() [1/2]

FullWrtText::FullWrtText | ( | FullWrtParser & | parser | ) |
| explicit

constructor

## ◆ ~FullWrtText()

FullWrtText::~FullWrtText | ( |  | ) |
| virtual

destructor

## ◆ FullWrtText() [2/2]

FullWrtText::FullWrtText | ( | FullWrtText const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ createItemStructures()

void FullWrtText::createItemStructures | ( |  | ) |
| protected

create the item structures

Referenced by prepareData().

## ◆ flushExtra()

void FullWrtText::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## ◆ getHeaderFooterId()

int FullWrtText::getHeaderFooterId | ( | bool | header,
|  | int | page,
|  | int & | numSimillar
| ) |  | const
| protected

return the header/footer blockid ( or -1)

## ◆ numPages()

int FullWrtText::numPages | ( |  | ) | const

returns the number of pages

## ◆ operator=()

FullWrtText& FullWrtText::operator= | ( | FullWrtText const & | orig | ) |
| privatedelete

## ◆ prepareData()

void FullWrtText::prepareData | ( |  | ) |
| inlineprotected

prepare the different data (called sortZones and createItemStructures)

## ◆ readColumns()

bool FullWrtText::readColumns | ( | FullWrtStruct::EntryPtr | zone | ) |
| protected

check if the input of the zone points to the columns definition, ...

## ◆ readDataMod()

bool FullWrtText::readDataMod | ( | FullWrtStruct::EntryPtr | zone,
|  | int | id
| ) |  |
| protected

try to read the font/paragraph modifier zone (Zone1f)

## ◆ readItem()

bool FullWrtText::readItem | ( | FullWrtStruct::EntryPtr | zone,
|  | int | id = `-1`,
|  | bool | hidden = `false`
| ) |  |
| protected

check if the input of the zone points to a item zone in DataStruct Zone

## ◆ readLineHeader()

bool FullWrtText::readLineHeader | ( | std::shared_ptr< FullWrtTextInternal::Zone > | zone,
|  | FullWrtTextInternal::LineHeader & | lHeader
| ) |  |
| protected

try to read the header of a line

Referenced by send().

## ◆ readParagraphTabs()

bool FullWrtText::readParagraphTabs | ( | FullWrtStruct::EntryPtr | zone,
|  | int | id = `-1`
| ) |  |
| protected

check if the input of the zone points to a paragraph zone in DataStruct Zone

## ◆ readParaModDocInfo()

bool FullWrtText::readParaModDocInfo | ( | FullWrtStruct::EntryPtr | zone | ) |
| protected

try to read the paragraph modifier (at the end of doc info)

## ◆ readStyle()

bool FullWrtText::readStyle | ( | FullWrtStruct::EntryPtr | zone | ) |
| protected

try to read a style

## ◆ readTextData()

bool FullWrtText::readTextData | ( | FullWrtStruct::EntryPtr | zone | ) |
| protected

check if a zone is a text zone, if so read it...

## ◆ send() [1/3]

bool FullWrtText::send | ( | int | zId,
|  | MWAWColor | fontColor = `MWAWColor::black()`
| ) |  |
| protected

send a id zone

Referenced by flushExtra(), send(), sendHiddenItem(), sendMainText(), and sendTable().

## ◆ send() [2/3]

void FullWrtText::send | ( | std::shared_ptr< FullWrtTextInternal::Zone > | zone,
|  | int | numChar,
|  | FullWrtTextInternal::Font & | font,
|  | FullWrtTextInternal::Paragraph & | ruler,
|  | std::string & | str
| ) |  |
| protected

send a simple line

## ◆ send() [3/3]

bool FullWrtText::send | ( | std::shared_ptr< FullWrtTextInternal::Zone > | zone,
|  | MWAWColor | fontColor = `MWAWColor::black()`
| ) |  |
| protected

send the text

## ◆ sendHiddenItem()

bool FullWrtText::sendHiddenItem | ( | int | id,
|  | FullWrtTextInternal::Font & | font,
|  | FullWrtTextInternal::Paragraph & | ruler
| ) |  |
| protected

send a hidden item

Referenced by send().

## ◆ sendMainText()

bool FullWrtText::sendMainText | ( |  | ) |
| protected

send a main zone

send data to the listener

## ◆ sendTable()

bool FullWrtText::sendTable | ( | std::shared_ptr< FullWrtTextInternal::Zone > | zone,
|  | FullWrtTextInternal::LineHeader const & | lHeader,
|  | FullWrtTextInternal::Font & | font,
|  | FullWrtTextInternal::Paragraph & | ruler,
|  | std::string & | str
| ) |  |
| protected

try send a table row

Referenced by send().

## ◆ sortZones()

void FullWrtText::sortZones | ( |  | ) |
| protected

sort the different zones, finding the main zone, ...

Referenced by prepareData().

## ◆ version()

int FullWrtText::version | ( |  | ) | const

returns the file version

Referenced by readParagraphTabs(), and readTextData().

## Friends And Related Function Documentation

## ◆ FullWrtParser

friend class FullWrtParser
| friend

## Member Data Documentation

## ◆ m_mainParser

FullWrtParser* FullWrtText::m_mainParser
| protected

the main parser;

Referenced by readItem(), send(), sendMainText(), and sendTable().

## ◆ m_parserState

MWAWParserStatePtr FullWrtText::m_parserState
| protected

the parser state

Referenced by readParagraphTabs(), send(), sendHiddenItem(), sendMainText(), sendTable(), and version().

## ◆ m_state

std::shared_ptr<FullWrtTextInternal::State> FullWrtText::m_state
| protected

the state

Referenced by createItemStructures(), flushExtra(), getHeaderFooterId(), numPages(), readDataMod(), readItem(), readParagraphTabs(), readParaModDocInfo(), readTextData(), send(), sendHiddenItem(), sendMainText(), sortZones(), and version().

The documentation for this class was generated from the following files:

- FullWrtText.hxx
- FullWrtText.cxx